import 'package:flutter/cupertino.dart';
import 'package:witsystem_device_plugin/code/DeviceFunctionType.dart';

/// 首页模板数据对象
///
class HomeListData {
  IconData icon; //图标

  String name; //名称

  DeviceFunctionType? hardware;//需要的硬件 空代表不需要额外硬件支持

  String? version; //需要的固件版本空代表所有版本

  Widget? widget;

  HomeListData(
      {required this.icon, required this.name, this.version, this.hardware, this.widget});
}
