import 'package:witsystem_device_manage/generated/l10n.dart';

///设备的信息权限，比如指纹权限 密码权限 卡的权限等

class DeviceInfoAuth {
  ///密码英文转换成功国际化文字权限
 static String passwordAuthToString(String auth) {
    auth = auth.toLowerCase();
    switch (auth) {
      case "admin":
        return S.current.device_adminPassword;
      case "user":
        return S.current.device_userPassword;
      case "antihijacking":
        return S.current.device_antiHijackingPassword;
      case "disposable":
        return S.current.device_disposablePassword;
      case "Cycle":
        return S.current.device_cyclePassword;
      default:
        return auth;
    }
  }


 ///卡英文转换成功国际化文字权限
 static String cardAuthToString(String auth) {
   auth = auth.toLowerCase();
   switch (auth) {
     case "admin":
       return S.current.device_adminCard;
     case "user":
       return S.current.device_userCard;
     default:
       return auth;
   }
 }



 ///指纹英文转换成功国际化文字权限
 static String markAuthToString(String auth) {
   auth = auth.toLowerCase();
   switch (auth) {
     case "admin":
       return S.current.device_adminMark;
     case "user":
       return S.current.device_userMark;
     default:
       return auth;
   }
 }
}
